@keyframes slideInRightLeft {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(0);
    }
}

@keyframes slideOutRightLeft {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(100%);
    }
}

.slideInRight:not(.ng-hide) {
    -webkit-animation: slideInRightLeft 0.4s linear;
    -moz-animation: slideInRightLeft 0.4s linear;
    animation: slideInRightLeft 0.4s linear;
}

.slideInRight.ng-hide {
    -webkit-animation: slideOutRightLeft 0.4s linear;
    -moz-animation: slideOutRightLeft 0.4s linear;
    animation: slideOutRightLeft 0.4s linear;
}
